com.sun.source.tree

## Interface AssertTree

All Superinterfaces:
  StatementTree, Tree

    @Exported
    public interface AssertTree
    extends StatementTree

A tree node for an 'assert' statement. For example:

       assert condition ;

       assert condition : detail ;

Since:
  1.6
See The Java™ Language Specification:
  section 14.10

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getCondition()`
`ExpressionTree` `getDetail()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getCondition

    ExpressionTree getCondition()

#### getDetail

    ExpressionTree getDetail()